<div *ngIf="visit">
  <h2>Details bezoek: {{ visit.musical.name }}</h2>
  <div *ngIf="loginCheck()">
    <label>Musical: {{ visit.musical.name }} </label>
    <br />

    <label>Datum: {{ visit.date }} </label>
    <br />
    <label
      >Rating:
      <select class="form-control" [(ngModel)]="visit.rating">
        <option>1</option>
        <option>2</option>
        <option>3</option>
        <option>4</option>
        <option>5</option>
        <option>6</option>
        <option>7</option>
        <option>8</option>
        <option>9</option>
        <option>10</option>
      </select>
    </label>
    <br />
    <label
      >Stoel:
      <input [(ngModel)]="visit.chair" placeholder="Stoel" />
    </label>
    <br />
    <label
      >Beschrijving:
      <input [(ngModel)]="visit.note" placeholder="Beschrijving" />
    </label>
    <br />
    <label
      >Locatie:
      <input [(ngModel)]="visit.location" placeholder="Locatie" />
    </label>
    <br />
    <label
      >Medebezoeker:
      <input [(ngModel)]="visit.covisiter" placeholder="Medebezoeker" />
    </label>
    <br />
    <label
      >Gekeken: <input [(ngModel)]="visit.iswatched" type="radio" name="watched" [value]="true" /> Ja
      <input [(ngModel)]="visit.iswatched" type="radio" name="watched" [value]="false" /> Nee
    </label>
    <br />
    <label
      >Op dvd gekeken: <input [(ngModel)]="visit.dvd" type="radio" name="dvd" [value]="true" /> Ja
      <input [(ngModel)]="visit.dvd" type="radio" name="dvd" [value]="false" /> Nee
    </label>
    <br />

    <button class="btn btn-secondary" (click)="update()">Opslaan</button>
  </div>
  <br />

  <button class="btn btn-secondary" (click)="goBack()">Terug</button>
</div>
